diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scpcfg.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scpcfg.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scpcfg.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scpcfg.h	2017-12-18 10:00:40.759875502 +0100
@@ -160,18 +160,18 @@
    *  for DIMSE blocking mode messaging (see also setDIMSEBlockingMode().
    *  @param dimseTimeout [in] DIMSE receive timeout in seconds
    */
-  void setDIMSETimeout(const Uint32 dimseTimeout);
+  void setDIMSETimeout(const OFTimeValue dimseTimeout);
 
   /** Set the timeout used during ACSE messaging protocol.
    *  @param acseTimeout [in] ACSE timeout in seconds.
    */
-  void setACSETimeout(const Uint32 acseTimeout);
+  void setACSETimeout(const OFTimeValue acseTimeout);
 
   /** Set the timeout that should be waited for connection requests.
    *  Only relevant in non-blocking mode (default).
    *  @param timeout [in] TCP/IP connection timeout in seconds.
    */
-  void setConnectionTimeout(const Uint32 timeout);
+  void setConnectionTimeout(const OFTimeValue timeout);
 
   /** Set whether to show presentation contexts in verbose or debug mode
    *  @param mode [in] Show presentation contexts in verbose mode if OFTrue. By default, the
@@ -250,17 +250,17 @@
   /** Returns DIMSE timeout (only applicable in blocking mode)
    *  @return DIMSE timeout in seconds
    */
-  Uint32 getDIMSETimeout() const;
+  OFTimeValue getDIMSETimeout() const;
 
   /** Returns ACSE timeout
    *  @return ACSE timeout in seconds
    */
-  Uint32 getACSETimeout() const;
+  OFTimeValue getACSETimeout() const;
 
   /** Returns connection timeout
    *  @return TCP/IP connection timeout in seconds
    */
-  Uint32 getConnectionTimeout() const;
+  OFTimeValue getConnectionTimeout() const;
 
   /** Returns the verbose presentation context mode configured specifying whether details on
    *  the presentation contexts (negotiated during association setup) should be shown in
@@ -358,11 +358,11 @@
 
   /// Timeout for DIMSE operations in seconds. Maximum time in DIMSE non-blocking mode to
   /// wait for incoming DIMSE data.
-  Uint32 m_dimseTimeout;
+  OFTimeValue m_dimseTimeout;
 
   /// Timeout for ACSE operations in seconds. Maximum time during association negotiation
   /// which is given for the SCU to follow the ACSE protocol.
-  Uint32 m_acseTimeout;
+  OFTimeValue m_acseTimeout;
 
   /// Verbose PC mode. Flags specifying whether details on the presentation contexts
   /// (negotiated during association setup) should be shown in verbose or debug mode.
@@ -371,7 +371,7 @@
   /// Timeout in seconds that should be waited for an incoming TCP/IP connection until
   /// the call returns. It is only relevant if the the SCP is set to non-blocking
   /// connection mode. Otherwise, the timeout is ignored. Default is 1000 seconds.
-  Uint32 m_connectionTimeout;
+  OFTimeValue m_connectionTimeout;
 
   /// If set, the AE title as received in the request (called AE title) is used in response
   /// (default: OFTrue).
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scp.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scp.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scp.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scp.h	2017-12-18 10:00:50.157454869 +0100
@@ -57,7 +57,7 @@
   /// Process ID
   int processId;
   /// Start time
-  time_t startTime;
+  OFTimeValue startTime;
   /// Indicator if process has storage ability
   OFBool hasStorageAbility;
 };
@@ -266,18 +266,18 @@
    *  for DIMSE blocking mode messaging (see also setDIMSEBlockingMode()).
    *  @param dimseTimeout [in] DIMSE receive timeout in seconds
    */
-  void setDIMSETimeout(const Uint32 dimseTimeout);
+  void setDIMSETimeout(const OFTimeValue dimseTimeout);
 
   /** Set the timeout used during ACSE messaging protocol.
    *  @param acseTimeout [in] ACSE timeout in seconds.
    */
-  void setACSETimeout(const Uint32 acseTimeout);
+  void setACSETimeout(const OFTimeValue acseTimeout);
 
   /** Set the timeout that should be waited for connection requests.
    *  Only relevant in non-blocking mode (default).
    *  @param timeout [in] TCP/IP connection timeout in seconds.
    */
-  void setConnectionTimeout(const Uint32 timeout);
+  void setConnectionTimeout(const OFTimeValue timeout);
 
   /** Set whether to show presentation contexts in verbose or debug mode
    *  @param mode [in] Show presentation contexts in verbose mode if OFTrue. By default, the
@@ -355,17 +355,17 @@
   /** Returns DIMSE timeout (only applicable in blocking mode)
    *  @return DIMSE timeout in seconds
    */
-  Uint32 getDIMSETimeout() const;
+  OFTimeValue getDIMSETimeout() const;
 
   /** Returns ACSE timeout
    *  @return ACSE timeout in seconds
    */
-  Uint32 getACSETimeout() const;
+  OFTimeValue getACSETimeout() const;
 
   /** Returns connection timeout
    *  @return TCP/IP connection timeout in seconds
    */
-  Uint32 getConnectionTimeout() const;
+  OFTimeValue getConnectionTimeout() const;
 
   /** Returns the verbose presentation context mode configured specifying whether details on
    *  the presentation contexts (negotiated during association setup) should be shown in
@@ -1040,7 +1040,7 @@
                                   T_DIMSE_Message *message,
                                   DcmDataset **statusDetail,
                                   DcmDataset **commandSet = NULL,
-                                  const Uint32 timeout = 0);
+                                  const OFTimeValue timeout = 0);
 
   /** Receive one dataset (of instance data) via network from another DICOM application
    *  @param presID     [out]   Contains in the end the ID of the presentation context
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scu.h dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scu.h
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/include/dcmtk/dcmnet/scu.h	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/include/dcmtk/dcmnet/scu.h	2017-12-18 09:59:05.778331249 +0100
@@ -555,7 +555,7 @@
    */
   virtual OFCondition handleEVENTREPORTRequest(DcmDataset *&reqDataset,
                                                Uint16 &eventTypeID,
-                                               const int timeout = 0);
+                                               const OFTimeValue timeout = 0);
 
   /** Closes the association created by this SCU. Also resets the current association.
    *  @deprecated The use of this method is deprecated. Please use releaseAssociation()
@@ -616,13 +616,13 @@
    *                           will try to read data from the incoming socket stream
    *                           for the number of seconds configured.
    */
-  void setDIMSETimeout(const Uint32 dimseTimeout);
+  void setDIMSETimeout(const OFTimeValue dimseTimeout);
 
   /** Set timeout for receiving ACSE messages
    *  @param acseTimeout [in] ACSE timeout in seconds used by timer for message timeouts
    *                          during association negotiation
    */
-  void setACSETimeout(const Uint32 acseTimeout);
+  void setACSETimeout(const OFTimeValue acseTimeout);
 
   /** Set global timeout for connecting to the SCP. Note that this is a global
    *  DCMTK setting i.e. it affects all code that uses dcmnet to start a DICOM
@@ -633,7 +633,7 @@
    *  @param connectionTimeout [in] Connection Timeout in seconds when connecting
    *                                to SCPs. -1 will wait forever (blocking mode).
    */
-  void setConnectionTimeout(const Sint32 connectionTimeout);
+  void setConnectionTimeout(const OFTimeValue connectionTimeout);
 
 
   /** Set an association configuration file and profile to be used
@@ -718,20 +718,20 @@
    *  the incoming socket stream for the number of seconds configured.
    *  @return The DIMSE timeout (in seconds) configured
    */
-  Uint32 getDIMSETimeout() const;
+  OFTimeValue getDIMSETimeout() const;
 
   /** Returns ACSE timeout in seconds used by timer for message timeouts during
    *  association negotiation.
    *  @return The ACSE timeout (in seconds) configured
    */
-  Uint32 getACSETimeout() const;
+  OFTimeValue getACSETimeout() const;
 
   /** Returns the timeout configured defining how long SCU will wait for the
    *  SCP when requesting an association. -1 means infinite waiting (blocking),
    *  0 means no waiting at all. Note that this is currently a global DCMTK setting.
    *  @return The connection timeout (in seconds)
    */
-  Sint32 getConnectionTimeout() const;
+  OFTimeValue getConnectionTimeout() const;
 
   /** Returns the storage directory used for storing objects received with C-STORE requests
    *  in the context of C-GET sessions. Default is empty string which refers to the current
@@ -840,7 +840,7 @@
                                   T_DIMSE_Message *msg,
                                   DcmDataset **statusDetail,
                                   DcmDataset **commandSet = NULL,
-                                  const Uint32 timeout = 0);
+                                  const OFTimeValue timeout = 0);
 
   /** Receives one dataset (of instance data) via network from another DICOM application
    *  @param presID     [out] Contains in the end the ID of the presentation context which
@@ -1041,10 +1041,10 @@
   Uint16 m_peerPort;
 
   /// DIMSE timeout (default: unlimited)
-  Uint32 m_dimseTimeout;
+  OFTimeValue m_dimseTimeout;
 
   /// ACSE timeout (default: 30 seconds)
-  Uint32 m_acseTimeout;
+  OFTimeValue m_acseTimeout;
 
   /// Storage directory for objects received with C-STORE due to a running
   /// C-GET session. By default, the received objects are stored in the current
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/assoc.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/assoc.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/assoc.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/assoc.cc	2017-12-18 10:02:51.203822623 +0100
@@ -225,7 +225,7 @@
 OFCondition
 ASC_initializeNetwork(T_ASC_NetworkRole role,
                       int acceptorPort,
-                      int timeout,
+                      OFTimeValue timeout,
                       T_ASC_Network ** network,
                       unsigned long options)
 {
@@ -1660,7 +1660,7 @@
 
 OFBool
 ASC_selectReadableAssociation(T_ASC_Association* assocs[],
-        int assocCount, int timeout)
+        int assocCount, OFTimeValue timeout)
 {
   if (assocCount <= 0) return OFFalse;
 
@@ -1686,13 +1686,13 @@
 }
 
 OFBool
-ASC_dataWaiting(T_ASC_Association * association, int timeout)
+ASC_dataWaiting(T_ASC_Association * association, OFTimeValue timeout)
 {
   return DUL_dataWaiting(association->DULassociation, timeout);
 }
 
 OFBool
-ASC_associationWaiting(T_ASC_Network * network, int timeout)
+ASC_associationWaiting(T_ASC_Network * network, OFTimeValue timeout)
 {
 #ifdef _WIN32
     SOCKET s;
@@ -1775,7 +1775,7 @@
                        unsigned long *associatePDUlength,
                        OFBool useSecureLayer,
                        DUL_BLOCKOPTIONS block,
-                       int timeout)
+                       OFTimeValue timeout)
 {
     T_ASC_Parameters *params;
     DUL_ASSOCIATIONKEY *DULassociation;
@@ -1923,7 +1923,7 @@
                        void **associatePDU,
                        unsigned long *associatePDUlength,
                        DUL_BLOCKOPTIONS block,
-                       int timeout)
+                       OFTimeValue timeout)
 {
     OFCondition cond = EC_Normal;
     long sendLen;
@@ -2167,7 +2167,7 @@
 
 
 OFCondition
-ASC_dropSCPAssociation(T_ASC_Association * association, int timeout)
+ASC_dropSCPAssociation(T_ASC_Association * association, OFTimeValue timeout)
 {
     /* if already dead don't worry */
     if (association == NULL) return EC_Normal;
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dcmtrans.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dcmtrans.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dcmtrans.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dcmtrans.cc	2017-12-18 09:55:50.467676106 +0100
@@ -62,8 +62,8 @@
 #endif
 };
 
-OFGlobal<Sint32> dcmSocketSendTimeout(60);
-OFGlobal<Sint32> dcmSocketReceiveTimeout(60);
+OFGlobal<OFTimeValue> dcmSocketSendTimeout(60);
+OFGlobal<OFTimeValue> dcmSocketReceiveTimeout(60);
 
 DcmTransportConnection::DcmTransportConnection(DcmNativeSocketType openSocket)
 : theSocket(openSocket)
@@ -74,7 +74,7 @@
 #warning The macro DISABLE_SEND_TIMEOUT is not supported anymore. See "macros.txt" for details.
 #endif
     /* get global timeout for the send() function */
-    const Sint32 sendTimeout = dcmSocketSendTimeout.get();
+    const OFTimeValue sendTimeout = dcmSocketSendTimeout.get();
     if (sendTimeout >= 0)
     {
       if (sendTimeout == 0)
@@ -83,7 +83,7 @@
         DCMNET_DEBUG("setting network send timeout to " << sendTimeout << " seconds");
 #ifdef HAVE_WINSOCK_H
       // for Windows, specify send timeout in milliseconds
-      int timeoutVal = sendTimeout * 1000;
+      OFTimeValue timeoutVal = sendTimeout * 1000;
       if (setsockopt(theSocket, SOL_SOCKET, SO_SNDTIMEO, (char *) &timeoutVal, sizeof(timeoutVal)) < 0)
 #else
       // for other systems, specify send timeout as timeval struct
@@ -103,7 +103,7 @@
 #warning The macro DISABLE_RECV_TIMEOUT is not supported anymore. See "macros.txt" for details.
 #endif
     /* get global timeout for the recv() function */
-    const Sint32 recvTimeout = dcmSocketReceiveTimeout.get();
+    const OFTimeValue recvTimeout = dcmSocketReceiveTimeout.get();
     if (recvTimeout >= 0)
     {
       if (recvTimeout == 0)
@@ -112,7 +112,7 @@
         DCMNET_DEBUG("setting network receive timeout to " << recvTimeout << " seconds");
 #ifdef HAVE_WINSOCK_H
       // for Windows, specify receive timeout in milliseconds
-      int timeoutVal = recvTimeout * 1000;
+      OFTimeValue timeoutVal = recvTimeout * 1000;
       if (setsockopt(theSocket, SOL_SOCKET, SO_RCVTIMEO, (char *) &timeoutVal, sizeof(timeoutVal)) < 0)
 #else
       // for other systems, specify receive timeout as timeval struct
@@ -135,7 +135,7 @@
 {
 }
 
-OFBool DcmTransportConnection::safeSelectReadableAssociation(DcmTransportConnection *connections[], int connCount, int timeout)
+OFBool DcmTransportConnection::safeSelectReadableAssociation(DcmTransportConnection *connections[], int connCount, OFTimeValue timeout)
 {
   int numberOfRounds = timeout+1;
   if (numberOfRounds < 0) numberOfRounds = 0xFFFF; /* a long time */
@@ -180,7 +180,7 @@
   return found;
 }
 
-OFBool DcmTransportConnection::fastSelectReadableAssociation(DcmTransportConnection *connections[], int connCount, int timeout)
+OFBool DcmTransportConnection::fastSelectReadableAssociation(DcmTransportConnection *connections[], int connCount, OFTimeValue timeout)
 {
 
 #ifdef _WIN32
@@ -196,7 +196,7 @@
   fd_set fdset;
   FD_ZERO(&fdset);
   OFTimer timer;
-  int lTimeout = timeout;
+  OFTimeValue lTimeout = timeout;
 
   for (i=0; i<connCount; i++)
   {
@@ -236,7 +236,7 @@
         // check for interrupt call
         if (OFStandard::getLastNetworkErrorCode().value() == DCMNET_EINTR)
         {
-            int diff = OFstatic_cast(int, timer.getDiff());
+            OFTimeValue diff = OFstatic_cast(OFTimeValue, timer.getDiff());
             if (diff < timeout)
             {
                 lTimeout = timeout - diff;
@@ -263,7 +263,7 @@
   return OFTrue;
 }
 
-OFBool DcmTransportConnection::selectReadableAssociation(DcmTransportConnection *connections[], int connCount, int timeout)
+OFBool DcmTransportConnection::selectReadableAssociation(DcmTransportConnection *connections[], int connCount, OFTimeValue timeout)
 {
   OFBool canUseFastMode = OFTrue;
   for (int i=0; i<connCount; i++)
@@ -350,13 +350,13 @@
   return 0;
 }
 
-OFBool DcmTCPConnection::networkDataAvailable(int timeout)
+OFBool DcmTCPConnection::networkDataAvailable(OFTimeValue timeout)
 {
   struct timeval t;
   fd_set fdset;
   int nfound;
   OFTimer timer;
-  int lTimeout = timeout;
+  OFTimeValue lTimeout = timeout;
 
   FD_ZERO(&fdset);
 
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dfindscu.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dfindscu.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dfindscu.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dfindscu.cc	2017-12-18 09:56:23.078032504 +0100
@@ -144,7 +144,7 @@
     dropNetwork();
 }
 
-OFCondition DcmFindSCU::initializeNetwork(int acse_timeout)
+OFCondition DcmFindSCU::initializeNetwork(OFTimeValue acse_timeout)
 {
     return ASC_initializeNetwork(NET_REQUESTOR, 0, acse_timeout, &net_);
 }
@@ -167,7 +167,7 @@
     const char *abstractSyntax,
     E_TransferSyntax preferredTransferSyntax,
     T_DIMSE_BlockingMode blockMode,
-    int dimse_timeout,
+    OFTimeValue dimse_timeout,
     Uint32 maxReceivePDULength,
     OFBool secureConnection,
     OFBool abortAssociation,
@@ -418,7 +418,7 @@
     int repeatCount,
     const char *abstractSyntax,
     T_DIMSE_BlockingMode blockMode,
-    int dimse_timeout,
+    OFTimeValue dimse_timeout,
     OFBool extractResponsesToFile,
     int cancelAfterNResponses,
     OFList<OFString> *overrideKeys,
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimecho.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimecho.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimecho.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimecho.cc	2017-12-18 09:54:57.316774411 +0100
@@ -97,7 +97,7 @@
 	/* in */
 	T_ASC_Association *assoc, DIC_US msgId,
 	/* blocking info for response */
-	T_DIMSE_BlockingMode blockMode, int timeout,
+	T_DIMSE_BlockingMode blockMode, OFTimeValue timeout,
 	/* out */
 	DIC_US *status, DcmDataset **statusDetail)
 {
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimfind.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimfind.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimfind.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimfind.cc	2017-12-18 09:54:43.072781023 +0100
@@ -106,7 +106,7 @@
         T_ASC_PresentationContextID presID,
         T_DIMSE_C_FindRQ *request, DcmDataset *requestIdentifiers,
         DIMSE_FindUserCallback callback, void *callbackData,
-        T_DIMSE_BlockingMode blockMode, int timeout,
+        T_DIMSE_BlockingMode blockMode, OFTimeValue timeout,
         T_DIMSE_C_FindRSP *response, DcmDataset **statusDetail)
     /*
      * This function sends a C-FIND-RQ message and data set information containing the given
@@ -329,7 +329,7 @@
         T_ASC_PresentationContextID presIdCmd,
         T_DIMSE_C_FindRQ *request,
         DIMSE_FindProviderCallback callback, void *callbackData,
-        T_DIMSE_BlockingMode blockMode, int timeout)
+        T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
     /*
      * This function receives a data set which represents the search mask over the network and
      * stores this data in memory. Then, it tries to select corresponding records which match the
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimget.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimget.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimget.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimget.cc	2017-12-18 09:55:06.556984368 +0100
@@ -39,7 +39,7 @@
 static int
 selectReadable(T_ASC_Association *assoc, 
     T_ASC_Network *net, T_ASC_Association *subAssoc,
-    T_DIMSE_BlockingMode blockMode, int timeout)
+    T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
 {
     T_ASC_Association *assocList[2];
     int assocCount = 0;
@@ -86,7 +86,7 @@
         DcmDataset *requestIdentifiers,
         DIMSE_GetUserCallback callback, void *callbackData,
         /* blocking info for response */
-        T_DIMSE_BlockingMode blockMode, int timeout,
+        T_DIMSE_BlockingMode blockMode, OFTimeValue timeout,
         /* sub-operation provider callback */
         T_ASC_Network *net,
         DIMSE_SubOpProviderCallback subOpCallback, void *subOpCallbackData,
@@ -290,7 +290,7 @@
         T_DIMSE_C_GetRQ *request,
         DIMSE_GetProviderCallback callback, void *callbackData,
         /* blocking info for data set */
-        T_DIMSE_BlockingMode blockMode, int timeout)
+        T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
 {       
     T_ASC_PresentationContextID presIdData;
     DcmDataset *statusDetail = NULL;
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimmove.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimmove.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimmove.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimmove.cc	2017-12-18 09:56:32.771040565 +0100
@@ -105,7 +105,7 @@
     T_ASC_Association *assoc,
     T_ASC_Network *net,
     T_ASC_Association *subAssoc,
-    T_DIMSE_BlockingMode blockMode, int timeout)
+    T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
 {
     T_ASC_Association *assocList[2];
     int assocCount = 0;
@@ -152,7 +152,7 @@
     DcmDataset *requestIdentifiers,
     DIMSE_MoveUserCallback callback, void *callbackData,
     /* blocking info for response */
-    T_DIMSE_BlockingMode blockMode, int timeout,
+    T_DIMSE_BlockingMode blockMode, OFTimeValue timeout,
     /* sub-operation provider callback */
     T_ASC_Network *net,
     DIMSE_SubOpProviderCallback subOpCallback, void *subOpCallbackData,
@@ -370,7 +370,7 @@
     T_DIMSE_C_MoveRQ *request,
     DIMSE_MoveProviderCallback callback, void *callbackData,
     /* blocking info for data set */
-    T_DIMSE_BlockingMode blockMode, int timeout)
+    T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
 {
     OFCondition cond = EC_Normal;
     T_ASC_PresentationContextID presIdData;
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimse.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimse.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimse.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimse.cc	2017-12-18 10:03:25.377656301 +0100
@@ -218,7 +218,7 @@
 DIMSE_readNextPDV(
         T_ASC_Association *assoc,
         T_DIMSE_BlockingMode blocking,
-        int timeout,
+        OFTimeValue timeout,
         DUL_PDV *pdv)
     /*
      * This function returns the next PDV which was (earlier or just now) received on the incoming
@@ -1075,7 +1075,7 @@
 OFCondition DIMSE_ignoreDataSet(
         T_ASC_Association *assoc,
         T_DIMSE_BlockingMode blocking,
-        int timeout,
+        OFTimeValue timeout,
         DIC_UL *bytesRead,
         DIC_UL *pdvCount)
 {
@@ -1104,7 +1104,7 @@
 DIMSE_receiveCommand(
         T_ASC_Association *assoc,
         T_DIMSE_BlockingMode blocking,
-        int timeout,
+        OFTimeValue timeout,
         T_ASC_PresentationContextID*presID,
         T_DIMSE_Message *msg,
         DcmDataset **statusDetail,
@@ -1460,7 +1460,7 @@
 DIMSE_receiveDataSetInFile(
         T_ASC_Association *assoc,
         T_DIMSE_BlockingMode blocking,
-        int timeout,
+        OFTimeValue timeout,
         T_ASC_PresentationContextID *presID,
         DcmOutputStream *filestream,
         DIMSE_ProgressCallback callback,
@@ -1563,7 +1563,7 @@
 DIMSE_receiveDataSetInMemory(
         T_ASC_Association *assoc,
         T_DIMSE_BlockingMode blocking,
-        int timeout,
+        OFTimeValue timeout,
         T_ASC_PresentationContextID *presID,
         DcmDataset **dataObject,
         DIMSE_ProgressCallback callback,
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimstore.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimstore.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dimstore.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dimstore.cc	2017-12-18 09:55:16.943757870 +0100
@@ -140,7 +140,7 @@
 	T_DIMSE_C_StoreRQ *request,
 	const char *imageFileName, DcmDataset *imageDataSet,
 	DIMSE_StoreUserCallback callback, void *callbackData,
-	T_DIMSE_BlockingMode blockMode, int timeout,
+	T_DIMSE_BlockingMode blockMode, OFTimeValue timeout,
 	T_DIMSE_C_StoreRSP *response,
 	DcmDataset **statusDetail,
         T_DIMSE_DetectedCancelParameters *checkForCancelParams,
@@ -372,7 +372,7 @@
 	const char* imageFileName, int writeMetaheader,
 	DcmDataset **imageDataSet,
 	DIMSE_StoreProviderCallback callback, void *callbackData,
-	T_DIMSE_BlockingMode blockMode, int timeout)
+	T_DIMSE_BlockingMode blockMode, OFTimeValue timeout)
     /*
      * This function receives a data set over the network and either stores this data in a file (exactly as it was
      * received) or it stores this data in memory. Before, during and after the process of receiving data, the callback
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dul.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dul.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dul.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dul.cc	2017-12-18 10:03:06.887415448 +0100
@@ -148,7 +148,7 @@
 #include "dcmtk/ofstd/ofnetdb.h"
 
 OFGlobal<OFBool> dcmDisableGethostbyaddr(OFFalse);
-OFGlobal<Sint32> dcmConnectionTimeout(-1);
+OFGlobal<OFTimeValue> dcmConnectionTimeout(-1);
 OFGlobal<DcmNativeSocketType> dcmExternalSocketHandle(DCMNET_INVALID_SOCKET);
 OFGlobal<const char *> dcmTCPWrapperDaemonName((const char *)NULL);
 OFGlobal<unsigned long> dcmEnableBackwardCompatibility(0);
@@ -156,7 +156,7 @@
 static int networkInitialized = 0;
 
 static OFCondition
-createNetworkKey(const char *mode, int timeout, unsigned long opt,
+createNetworkKey(const char *mode, OFTimeValue timeout, unsigned long opt,
                  PRIVATE_NETWORKKEY ** k);
 static OFCondition
 createAssociationKey(PRIVATE_NETWORKKEY ** network, const char *node,
@@ -166,13 +166,13 @@
 static OFCondition
 receiveTransportConnection(PRIVATE_NETWORKKEY ** network,
                            DUL_BLOCKOPTIONS block,
-                           int timeout,
+                           OFTimeValue timeout,
                            DUL_ASSOCIATESERVICEPARAMETERS * params,
                            PRIVATE_ASSOCIATIONKEY ** association);
 static OFCondition
 receiveTransportConnectionTCP(PRIVATE_NETWORKKEY ** network,
                               DUL_BLOCKOPTIONS block,
-                              int timeout,
+                              OFTimeValue timeout,
                               DUL_ASSOCIATESERVICEPARAMETERS * params,
                               PRIVATE_ASSOCIATIONKEY ** association);
 
@@ -366,7 +366,7 @@
 */
 OFCondition
 DUL_InitializeNetwork(const char *mode,
-                      void *networkParameter, int timeout, unsigned long opt,
+                      void *networkParameter, OFTimeValue timeout, unsigned long opt,
                       DUL_NETWORKKEY ** networkKey)
 {
     // default return value if something goes wrong
@@ -489,7 +489,7 @@
 DUL_RequestAssociation(
   DUL_NETWORKKEY ** callerNetworkKey,
   DUL_BLOCKOPTIONS block,
-  int timeout,
+  OFTimeValue timeout,
   DUL_ASSOCIATESERVICEPARAMETERS * params,
   DUL_ASSOCIATIONKEY ** callerAssociation,
   int activatePDUStorage)
@@ -622,7 +622,7 @@
 DUL_ReceiveAssociationRQ(
   DUL_NETWORKKEY ** callerNetworkKey,
   DUL_BLOCKOPTIONS block,
-  int timeout,
+  OFTimeValue timeout,
   DUL_ASSOCIATESERVICEPARAMETERS * params,
   DUL_ASSOCIATIONKEY ** callerAssociation,
   int activatePDUStorage)
@@ -1170,7 +1170,7 @@
 */
 OFCondition
 DUL_ReadPDVs(DUL_ASSOCIATIONKEY ** callerAssociation,
-             DUL_PDVLIST * pdvList, DUL_BLOCKOPTIONS block, int timeout)
+             DUL_PDVLIST * pdvList, DUL_BLOCKOPTIONS block, OFTimeValue timeout)
 {
     PRIVATE_ASSOCIATIONKEY
         ** association;
@@ -1486,7 +1486,7 @@
 static OFCondition
 receiveTransportConnection(PRIVATE_NETWORKKEY ** network,
                            DUL_BLOCKOPTIONS block,
-                           int timeout,
+                           OFTimeValue timeout,
                            DUL_ASSOCIATESERVICEPARAMETERS * params,
                            PRIVATE_ASSOCIATIONKEY ** association)
 {
@@ -1519,7 +1519,7 @@
 static OFCondition
 receiveTransportConnectionTCP(PRIVATE_NETWORKKEY ** network,
                               DUL_BLOCKOPTIONS block,
-                              int timeout,
+                              OFTimeValue timeout,
                               DUL_ASSOCIATESERVICEPARAMETERS * params,
                               PRIVATE_ASSOCIATIONKEY ** association)
 {
@@ -2030,7 +2030,7 @@
 */
 static OFCondition
 createNetworkKey(const char *mode,
-                 int timeout, unsigned long opt, PRIVATE_NETWORKKEY ** key)
+                 OFTimeValue timeout, unsigned long opt, PRIVATE_NETWORKKEY ** key)
 {
     if (strcmp(mode, AE_REQUESTOR) != 0 &&
         strcmp(mode, AE_ACCEPTOR) != 0 &&
diff -Nur dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dulextra.cc dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dulextra.cc
--- dcmtk-for-dcmjp2k-3.6.2-unix/dcmnet/libsrc/dulextra.cc	2017-07-14 17:41:11.000000000 +0200
+++ dcmtk-for-dcmjp2k-3.6.2-unix.patched/dcmnet/libsrc/dulextra.cc	2017-12-18 09:54:52.468089513 +0100
@@ -105,7 +105,7 @@
 #include "dcmtk/dcmnet/diutil.h"
 
 OFBool
-DUL_dataWaiting(DUL_ASSOCIATIONKEY * callerAssociation, int timeout)
+DUL_dataWaiting(DUL_ASSOCIATIONKEY * callerAssociation, OFTimeValue timeout)
 {
     PRIVATE_ASSOCIATIONKEY * association = (PRIVATE_ASSOCIATIONKEY *)callerAssociation;
     if ((association==NULL)||(association->connection == NULL)) return OFFalse;
@@ -126,7 +126,7 @@
 }
 
 OFBool
-DUL_associationWaiting(DUL_NETWORKKEY * callerNet, int timeout)
+DUL_associationWaiting(DUL_NETWORKKEY * callerNet, OFTimeValue timeout)
 {
     PRIVATE_NETWORKKEY *net;
     DcmNativeSocketType s;
